%global realname emmap
%global upstream krestenkrab
%global git_tag 05ae1bb
%global patchnumber 0
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}


Name:		erlang-%{realname}
Version:	0
Release:	0.3.git%{git_tag}%{?dist}
Summary:	Erlang mmap interface
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/krestenkrab/emmap
# wget https://github.com/krestenkrab/emmap/archive/05ae1bb.tar.gz -O krestenkrab-emmap-05ae1bb.tar.gz
Source0:	%{upstream}-%{realname}-%{git_tag}.tar.gz
# Fedora/EPEL-specific
Patch1:		erlang-emmap-0001-Skip-dependency-checking-in-Fedora-EPEL.patch
BuildRequires:	erlang-rebar
# Error:erlang(erlang:load_nif/2) in R12B and older
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-stdlib%{?_isa}


%description
This Erlang library provides a wrapper that allows you to memory map files into
the Erlang memory space.


%prep
%setup -q -n %{realname}-05ae1bbc8b9b584473483023643fdc3f329a7698
%patch1 -p1 -b .nodeps


%build
rebar compile -v


%install
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,priv}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 ebin/%{realname}.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0755 priv/%{realname}_nifs.so %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/


%check
rebar eunit -v


%files
%doc LICENSE README.md doc/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_nifs.so


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.git05ae1bb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 14 2012 Peter Lemenkov <lemenkov@gmail.com> - 0-0.2.git05ae1bb
- Upstreamed patch, few fixes, and added emmap:read_line/1 function

* Tue Nov 13 2012 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.git8725d46
- Initial build
